import { a3 as f, aC as c, U as $, dl as g, dg as m, H as h, dm as b, dn as v, ah as x, aj as d, a4 as k, dk as C, c1 as w, dp as B, c3 as R, cr as I, dq as D } from "./56c67d3b.js";
import "react";
import "react-dom";
const q = (o, a) => c`
    .ant-radio-wrapper:not(.ant-radio-wrapper-disabled) {
      color: ${a == null ? void 0 : a.staticText};
      // height: 22px;
      max-width: calc(100% - 8px);
      padding: ${a == null ? void 0 : a.padding};
      span:not(.ant-radio) {
        ${B};
        font-family:${a == null ? void 0 : a.fontFamily};
        font-size:${a == null ? void 0 : a.textSize};
        font-weight:${a == null ? void 0 : a.textWeight};
        font-style:${a == null ? void 0 : a.fontStyle};
        text-transform:${a == null ? void 0 : a.textTransform};
        text-decoration:${a == null ? void 0 : a.textDecoration};
      }

      .ant-radio-checked {
        .ant-radio-inner {
          background-color: ${a == null ? void 0 : a.checkedBackground};
          border-color: ${a == null ? void 0 : a.uncheckedBorder};
        }

        &::after {
          border-color: ${a == null ? void 0 : a.uncheckedBorder};
        }
      }

      .ant-radio-inner {
        background-color: ${a == null ? void 0 : a.uncheckedBackground};
        border-color: ${a == null ? void 0 : a.uncheckedBorder};
        border-width:${a == null ? void 0 : a.borderWidth};
        &::after {
          background-color: ${a == null ? void 0 : a.checked};
        }
      }

      &:hover .ant-radio-inner, 
      .ant-radio:hover .ant-radio-inner,
      .ant-radio-input + ant-radio-inner {
        ${(a == null ? void 0 : a.hoverBackground) && `background-color: ${o.hoverBackground}`};
      }

      &:hover .ant-radio-inner,
      .ant-radio:hover .ant-radio-inner,
      .ant-radio-input:focus + .ant-radio-inner {
        border-color: ${a == null ? void 0 : a.uncheckedBorder};
      }
    }
  `, z = f(D)`
  width: 100%;
  min-height: 32px;

  ${(o) => o.$style && q(o.$style, o.$inputFieldStyle)}
  ${(o) => {
  if (o.$layout === "horizontal")
    return c`
        display: flex;
        align-items: center;
        flex-wrap: wrap;
      `;
  if (o.$layout === "vertical")
    return c`
        display: flex;
        flex-direction: column;
      `;
  if (o.$layout === "auto_columns")
    return c`
        break-inside: avoid;
        columns: 160px;
      `;
}}
`;
let s = function() {
  return new $(g, (o) => {
    const [a, n] = m(o);
    return o.label({
      required: o.required,
      style: o.style,
      labelStyle: o.labelStyle,
      inputFieldStyle: o.inputFieldStyle,
      animationStyle: o.animationStyle,
      children: /* @__PURE__ */ h(z, {
        ref: o.viewRef,
        disabled: o.disabled,
        value: o.value.value,
        $style: o.style,
        $inputFieldStyle: o.inputFieldStyle,
        $layout: o.layout,
        onChange: (r) => {
          n(r.target.value);
        },
        options: o.options.filter((r) => r.value !== void 0 && !r.hidden).map((r) => ({
          label: r.label,
          value: r.value,
          disabled: r.disabled
        }))
      }),
      ...a
    });
  }).setPropertyViewFn((o) => /* @__PURE__ */ h(b, {
    ...o
  })).setExposeMethodConfigs(v).build();
}();
s = R(s, I);
const V = x(s, [new d("value", k("selectInput.valueDesc")), C, ...w]);
export {
  V as RadioComp
};
